var navSwiper = new Swiper('#nav', {
	slidesPerView: 'auto',//显示个数，自动宽度
	freeMode: true,//可以自由滑动，类似于滚动条
	on: {
		init: function() {//初始化完成后回调函数
			//添加 active 类名
				$('#nav .swiper-slide:eq(0)').addClass('active');
			//获取每个slide的平均宽度	and	整个导航条的宽度
				var allSlide = $('#nav .swiper-slide');
				navSlideWidthAll = 0;
				navWidth = 0//整个导航条的宽度
				var navSlideWidthCount = allSlide.length;
				for(i=0;i<navSlideWidthCount;i++){
					navSlideWidthAll += allSlide.eq(i).width();
					navWidth += parseInt(allSlide.eq(i).css('width'));
				}
				navSlideWidth = navSlideWidthAll / navSlideWidthCount;
			bar = this.$el.find('.bar');
			//初始化bar的宽度
				bar.css('width',$('#nav .swiper-slide-active span').width()+'px');//宽度变为和 Slide 一样的宽度
			clientWidth = parseInt(this.$wrapperEl.css('width')) //Nav的可视宽度
		}
	},
});

var pageSwiper = new Swiper('#page', {
	resistanceRatio: 1,
	runCallbacksOnInit: true,
	on: {
		transitionStart: function() {//过渡到另一个slide时执行
			pageSwiperqiehuan(this.activeIndex);
		}
	}
});
function pageSwiperqiehuan(index){
	//删除 和 添加 active 类名
		$('#nav .swiper-slide.active').removeClass('active')
		$('#nav .swiper-slide').eq(index).addClass('active');
	//添加选择class
		$('#nav .swiper-slide-active').removeClass('swiper-slide-active');
		$('#nav .swiper-slide').eq(index).addClass('swiper-slide-active');
	//是否重置
		if(typeof(is_chongzhi) != "undefined" && is_chongzhi == true){
			$('#page .swiper-slide-active ul').empty().attr('page',1);//删除原本的列表信息 和 重置为第一页
			if(d.class != 'suoyou'){$(".fenlei .active").click();}//这个是订单列表才需要的
		}
	load();//加载数据
	
	var activeSlide = $('#nav .swiper-slide-active');
	//当前tap在的横轴上的位置
		activeSlidePosition = navSwiper.slides[index].offsetLeft;
	//释放时导航橙色条移动过渡
		bar.css('width',activeSlide.children('span').width()+'px');//宽度变为和 Slide 一样的宽度
		bar.transform('translateX(' + (activeSlidePosition + parseInt(activeSlide.children('span').css('padding-left'))) + 'px)');
	//导航居中
		if(navSlideWidthAll > document.body.scrollWidth){//所有slide的宽度加到一起必须大于屏幕强度，不然没有执行下面程序的必要
			navSwiper.setTransition(400)//过渡时间
			if(activeSlidePosition < (clientWidth - parseInt(navSlideWidth)) / 2) {//当前Slide位置 小于 360-每个Slide的宽度/2   往右滑动时当前Slide接近最左边时
				navSwiper.setTranslate(0)
			} else if (activeSlidePosition > navWidth - (parseInt(navSlideWidth) + clientWidth) / 2) {//接近末尾时
				navSwiper.setTranslate(clientWidth - navWidth)//360 - 整个导航条的宽度
			} else {
				navSwiper.setTranslate((clientWidth - parseInt(navSlideWidth)) / 2 - activeSlidePosition)
			}
		}
}
navSwiper.on('tap', function(e) {
	pageSwiper.slideTo(this.clickedIndex, 1000);//跳转到page的第几个slide
});